!!ARBfp1.0

OUTPUT output = result.color;
TEMP base, shadow, dist, normal, lightVec, viewVec, reflVec, ambient, diffuse, specular, light;

PARAM dark = program.local[0];
PARAM lite = program.local[1];
PARAM specExp = 32;

TEX		base,   fragment.texcoord[0], texture[0], 3D;
TXP		shadow, fragment.texcoord[1], texture[1], 2D;

MAD		base, base, 0.4, fragment.texcoord[0].y;
FRC		base, base;
MAD		base, base, -base, base;
MUL		base, base, 4;
#MUL		base, base, base;
LRP		base, base, lite, dark;

DP3		normal.w, fragment.texcoord[2], fragment.texcoord[2];
RSQ		normal.w, normal.w;
MUL		normal, fragment.texcoord[2], normal.w;

DP3		lightVec, fragment.texcoord[3], fragment.texcoord[3];
RSQ		lightVec.w, lightVec.w;
MUL		dist, lightVec, lightVec.w;
MUL		lightVec, fragment.texcoord[3], lightVec.w;

SUB		dist, dist, 0.02;
SGE		shadow, shadow, dist;


DP3		viewVec.w, fragment.texcoord[4], fragment.texcoord[4];
RSQ		viewVec.w, viewVec.w;
MUL		viewVec, fragment.texcoord[4], viewVec.w;

DP3		reflVec, viewVec, normal;
MUL		reflVec, reflVec, normal;
MAD		reflVec, reflVec, 2, -viewVec;


DP3_SAT	diffuse, lightVec, normal;
DP3_SAT specular, reflVec, lightVec;
POW		specular, specular.x, specExp.x;

MAD		light, diffuse, base, specular;
MUL		ambient, base, 0.2;
MAD		output, shadow, light, ambient;

END 
